#
# spec file for package OpenEXR (Version 1.2.2)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison brp-check-internal bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs expat file filesystem fillup findutils flex fltk fltk-devel fontconfig fontconfig-devel freeglut freeglut-devel gawk gcc gcc-c++ gdbm gdbm-devel gettext gettext-devel glibc glibc-32bit glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libdrm libdrm-devel libgcc libgssapi libjpeg libmudflap libnscd libpng libstdc++ libstdc++-devel libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openmotif-libs openssl pam pam-modules patch perl permissions popt post-build-checks procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim xorg-x11-devel xorg-x11-libs zlib zlib-devel


Name:           OpenEXR
BuildRequires:  fltk-devel freeglut-devel gcc-c++ libdrm-devel
Summary:        Library to Handle EXR Pictures in 16-Bit Floating-Point Format
Version:        1.2.2
Release:        16.7
License:        BSD 3-Clause; GPL v2 or later
Group:          Development/Libraries/C and C++
Url:            http://www.openexr.com/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        %name-%version.tar.bz2
Patch:          OpenEXR-docdir.patch
Patch1:         OpenEXR-decl.patch
Patch2:         OpenEXR-1.2.2-CVE-2009-1720-1.diff
Patch3:         OpenEXR-1.2.2-CVE-2009-1720-2.diff
Patch4:         OpenEXR-1.2.2-CVE-2009-1721.diff
Patch5:         OpenEXR-1.2.2-CVE-2009-1722.diff

%description
OpenEXR is a high dynamic-range (HDR) image file format developed by
Industrial Light & Magic for use in computer imaging applications.

* exrheader, a utility for dumping header information

* exrstdattr, a utility for modifying OpenEXR standard attributes

* exrmaketiled, for generating tiled and rip/mipmapped images

* exrenvmap, for creating OpenEXR environment maps

* exrmakepreview, for creating preview images for OpenEXR files



Authors:
--------
    Developers:
    -----------
    
    Florian Kainz <kainz@ilm.com>
    Rod Bogart <rgb@ilm.com>
    Drew Hess <dhess@ilm.com>
    Paul Schneider <pauls@ilm.com>
    Bill Anderson <wja@ilm.com>
    Wojciech Jarosz <wjarosz@ucsd.edu>
    
    Contributors:
    -------------
    
    Simon Green <SGreen@nvidia.com>
    Rito Trevino <etrevino@ilm.com>
    Josh Pines
    Christian Rouet
    Rodrigo Damazio <rdamazio@lsi.usp.br>
    Greg Ward <gward@lmi.net>
    Joseph Goldstone <joseph@lp.com>
    Loren Carpenter, Pixar Animation Studios
    
    Win32 port contributors:
    ------------------------
    
    Dustin Graves <dgraves@computer.org>
    Jukka Liimatta <jukka.liimatta@twilight3d.com>
    Baumann Konstantin <Konstantin.Baumann@hpi.uni-potsdam.de>
    Daniel Koch <daniel@eyeonline.com>
    Luc-Eric Rousseau <lucer@softimage.com>
    E. Scott Larsen <larsene@cs.unc.edu>
    stephan mantler <step@acm.org>
    Andreas Kahler <AKahler@nxn-software.com>
    Frank Jargstorff <fjargstorff@nvidia.com>
    Lutz Latta

%debug_package
%package devel
License:        BSD 3-Clause; GPL v2 or later
Requires:       OpenEXR = %version
Group:          Development/Libraries/C and C++
Summary:        Library to Handle EXR Pictures (16-bit floating-point format)

%description devel
OpenEXR is a high dynamic-range (HDR) image file format developed by
Industrial Light & Magic for use in computer imaging applications.

The package contains header files.

* exrdisplay, an application to view .exr files



Authors:
--------
    Developers:
    -----------
    
    Florian Kainz <kainz@ilm.com>
    Rod Bogart <rgb@ilm.com>
    Drew Hess <dhess@ilm.com>
    Paul Schneider <pauls@ilm.com>
    Bill Anderson <wja@ilm.com>
    Wojciech Jarosz <wjarosz@ucsd.edu>
    
    Contributors:
    -------------
    
    Simon Green <SGreen@nvidia.com>
    Rito Trevino <etrevino@ilm.com>
    Josh Pines
    Christian Rouet
    Rodrigo Damazio <rdamazio@lsi.usp.br>
    Greg Ward <gward@lmi.net>
    Joseph Goldstone <joseph@lp.com>
    Loren Carpenter, Pixar Animation Studios
    
    Win32 port contributors:
    ------------------------
    
    Dustin Graves <dgraves@computer.org>
    Jukka Liimatta <jukka.liimatta@twilight3d.com>
    Baumann Konstantin <Konstantin.Baumann@hpi.uni-potsdam.de>
    Daniel Koch <daniel@eyeonline.com>
    Luc-Eric Rousseau <lucer@softimage.com>
    E. Scott Larsen <larsene@cs.unc.edu>
    stephan mantler <step@acm.org>
    Andreas Kahler <AKahler@nxn-software.com>
    Frank Jargstorff <fjargstorff@nvidia.com>
    Lutz Latta

%prep
%setup -q
%patch
%patch1
%patch2 -p1 -b .CVE-2009-1720-1
%patch3 -p1 -b .CVE-2009-1720-2
%patch4 -p1 -b .CVE-2009-1721
%patch5 -p1 -b .CVE-2009-1722

%build
autoreconf --force --install
#
export CFLAGS="$RPM_OPT_FLAGS"
./configure \
  --prefix=/usr \
  --libdir=%_libdir \
  --enable-imfexamples
make %{?jobs:-j%jobs}

%install
make DESTDIR=$RPM_BUILD_ROOT install
cp -a doc/*pdf AUTHORS ChangeLog COPYING LICENSE NEWS \
      README*     $RPM_BUILD_ROOT%_defaultdocdir/%name/
install -m 0755 IlmImfExamples/.libs/imfexamples $RPM_BUILD_ROOT/usr/bin/

%post
%run_ldconfig

%postun
%run_ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_docdir/OpenEXR/AUTHORS
%_docdir/OpenEXR/ChangeLog
%_docdir/OpenEXR/COPYING
%_docdir/OpenEXR/LICENSE
%_docdir/OpenEXR/NEWS
%_docdir/OpenEXR/README*
%dir %_docdir/OpenEXR
/usr/bin/exrenvmap
/usr/bin/exrheader
/usr/bin/exrmakepreview
/usr/bin/exrmaketiled
/usr/bin/exrstdattr
%_libdir/libHalf.so.*
%_libdir/libIex.so.*
%_libdir/libIlmImf.so.*
%_libdir/libImath.so.*

%files devel
%defattr(-,root,root)
/usr/bin/exrdisplay
/usr/bin/imfexamples
/usr/include/OpenEXR
%_libdir/libHalf.a
%_libdir/libHalf.la
%_libdir/libHalf.so
%_libdir/libIex.a
%_libdir/libIex.la
%_libdir/libIex.so
%_libdir/libIlmImf.a
%_libdir/libIlmImf.la
%_libdir/libIlmImf.so
%_libdir/libImath.a
%_libdir/libImath.la
%_libdir/libImath.so
%_libdir/pkgconfig/OpenEXR.pc
/usr/share/aclocal/openexr.m4
%dir %_docdir/OpenEXR
%_docdir/OpenEXR/examples
%_docdir/OpenEXR/*.pdf

%changelog
* Tue Aug 04 2009 - mvyskocil@suse.cz
- fixed bnc#527539:  VUL-0: OpenEXR: [ MDVSA-2009:190 ] OpenEXR
  backported patches from Mandriva and Debian
  * CVE-2009-1720
  * CVE-2009-1721
  * CVE-2009-1722
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Nov 07 2005 - sndirsch@suse.de
- make use of mesa-devel-packages macro in neededforbuild
* Wed Nov 02 2005 - dmueller@suse.de
- don't build as root
* Wed May 25 2005 - adrian@suse.de
- update to version 1.2.2
* Mon May 23 2005 - schwab@suse.de
- Fix missing declaration.
* Thu Jan 13 2005 - ro@suse.de
- try to fix docu installation
* Mon Jun 28 2004 - adrian@suse.de
- initial package of version 1.2.1
